# KERN – Plain-CSS-HTML-Kit

Dieses Repository enthält die CSS/HTML-Implementation des KERN Design-Systems.

Mit KERN schaffen wir einen offenen UX-Standard für die deutsche Verwaltung, der Umsetzende befähigt, barrierefreie digitale Verwaltungslösungen effizient und nutzendenzentriert zu entwickeln.
KERN ist ein Open-Source-Projekt, das von der Ländern Hamburg und Schleswig-Holstein initiiert wurde. Alle mit Interesse an der Digitalisierung der öffentlichen Verwaltung sind herzlich eingeladen, Teil der bundesweiten interdisziplinären Community zu werden. Alle Informationen auf: www.kern-ux.de.

## Beitragen

Die Entwicklung des KERN Design-Systems ist im [Hauptrepository](https://gitlab.opencode.de/kern-ux/pattern-library) organisiert.

Für Bugs und Verbesserungsvorschläge, die sich ausschließlich auf den CSS/HTML-Code beziehen, schaue dir bitte unsere [Contributing Guidelines](https://gitlab.opencode.de/kern-ux/kern-ux-plain/-/blob/main/CONTRIBUTING.md?ref_type=heads) an. Wir freuen uns auf deinen Beitrag!

## Installation und Nutzung

```bash
git clone https://gitlab.opencode.de/kern-ux/kern-ux-plain.git
cd kern-ux-plain
npm install
npm start
```

## Changelog

[Die Changelog-Datei ist hier zu finden.](https://gitlab.opencode.de/kern-ux/kern-ux-plain/-/blob/main/CHANGELOG.md)

## Komponenten

Auf der Produktwebseite findet sich die [Dokumentation zu den Komponenten](https://www.kern-ux.de/komponenten).

- Kern-Accordion
- Kern-Alert
- Kern-Badge
- Kern-Button
- Kern-Card
- Kern-Dialog
- Kern-Divider
- Kern-Fieldset
- Kern-Icon
- Kern-InputDate
- Kern-InputEmail
- Kern-InputFile
- Kern-InputNumber
- Kern-InputPassword
- Kern-InputTel
- Kern-InputText
- Kern-InputUrl
- Kern-Checkbox
- Kern-Checkbox-List
- Kern-Description-List
- Kern-Kopfzeile
- Kern-Loader
- Kern-Progress
- Kern-Radios
- Kern-Select
- Kern-Summary
- Kern-Table
- Kern-TaskList
- Kern-Textarea
- Kern-Grid
- Kern-Heading
- Kern-Title
- Kern-Preline
- Kern-Subline
- Kern-Label
- Kern-Body
- Kern-Link
- Kern-Lists
